summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-07-13 06:53:53 +0200
committerHans de Graaff <graaff@gentoo.org>2020-07-14 05:27:06 +0200
commitfee6c0a37bc1135b36cb35710e70b4927c202539 (patch)
treeea4f9aa28e592fefd9913afaabff90ef77d83dde
parentdev-ruby/autoprefixer-rails: add 9.8.5 (diff)
downloadgentoo-fee6c0a37bc1135b36cb35710e70b4927c202539.tar.gz
gentoo-fee6c0a37bc1135b36cb35710e70b4927c202539.tar.bz2
gentoo-fee6c0a37bc1135b36cb35710e70b4927c202539.zip
dev-ruby/dotenv: add 2.7.6
Package-Manager: Portage-2.3.99, Repoman-2.3.23 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/dotenv/Manifest1
-rw-r--r--dev-ruby/dotenv/dotenv-2.7.6.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/dotenv/Manifest b/dev-ruby/dotenv/Manifest
index 1b618acf822..b395a522127 100644
--- a/dev-ruby/dotenv/Manifest
+++ b/dev-ruby/dotenv/Manifest
@@ -1,3 +1,4 @@
DIST dotenv-2.7.3.tar.gz 19765 BLAKE2B 65f4171c8304c207ea94bd31ce2b63ae786d4794c538260ee8aa1ad8714fc1736a193febdee1299b62b82066e72be0000dffbff69a272ed94c19922bd6fc15f6 SHA512 0ac46b4c037c4d5a6e9517c7c39a4fc0f52a5a7f153602007196f6929f8be05678186a227046195fabfa4e59e6099d626f436da66041ae30c46ed062c7c5c33a
DIST dotenv-2.7.4.tar.gz 19800 BLAKE2B 53719e21aecff63016c12b8ed18f0bbf66389abe3b73c4426be1af489833cd8967b3ea4bd3183549c28d2abdc6f2cda33ce31873d8a0cac5c88c8487226ce7c8 SHA512 dd5fbc1cbb44bde938067d37834304a730bee6e2e625784ac3612f3a597c513679d52607d8924ca05939d6093891108aab3ae6eeab55be2f38238b7c2a78aefd
DIST dotenv-2.7.5.tar.gz 19873 BLAKE2B a435d7728bf0352a26e8c75d82e21c481fab4ba160b065742fe7976b07d9299a46bba379d9dd9b1d52b5188ddac5030662622dcdac036a157c04b56601a4eae9 SHA512 3036abf5fda12b46d38c9727ffb033628216ecb9e091b8f9a62c8ff2cbed93c60358332b12ad4ba7230fdcc866682916c3e37c5f6954b2a1355abe065c758bcc
+DIST dotenv-2.7.6.tar.gz 20343 BLAKE2B 5e6eff69a63bd9b6b6fbaa8b07ac3a3b846d8bcc39ac67dcf3bc1a9e152afe8809db1ecb55706de3fa3232e423c02d116c248925d78095b6c1d85af4289e69d2 SHA512 df017be0732d43039497b95aeffc303d9141196862270dc907181a77217cc3c525ffce5a52c7047eb51d69a37cdf51f3f2dfbdceb792c14d352f9416c50891c3
diff --git a/dev-ruby/dotenv/dotenv-2.7.6.ebuild b/dev-ruby/dotenv/dotenv-2.7.6.ebuild
new file mode 100644
index 00000000000..e1d49acb048
--- /dev/null
+++ b/dev-ruby/dotenv/dotenv-2.7.6.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="README.md Changelog.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Loads environment variables from .env into ENV"
+HOMEPAGE="https://github.com/bkeepers/dotenv"
+SRC_URI="https://github.com/bkeepers/dotenv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="2"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/spring dev-ruby/rails )"
+
+all_ruby_prepare() {
+ sed -i -e '/:guard/,/end/ s:^:#:' \
+ -e '5igem "rspec", "~> 3.0"' Gemfile || die
+
+ sed -i -e '/rubocop/ s:^:#:' -e 's/git ls-files/find/' dotenv.gemspec || die
+}
+
+each_ruby_prepare() {
+ sed -i -e "s:ruby -v:${RUBY} -v:g" spec/dotenv/parser_spec.rb || die
+}